<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<ui:composition xmlns="http://www.w3.org/1999/xhtml"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:p="http://primefaces.org/ui"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	 xmlns:c="http://java.sun.com/jsp/jstl/core">>
	<html>
	<body>
<div id="Menu">
		<ui:include src="/HomeHRManager.xhtml" />
		<div class="row">
		 <div class="col-lg-3"></div>
		 <div class="col-lg-9" >
		  				<div class="row">
					<div class="col-md-12">
						<div class="widget">
							<div class="widget-header transparent">
								<h2><strong>Job Offers</strong> </h2>
								<div class="additional-btn">
									<a href="#" class="hidden reload"><i class="icon-ccw-1"></i></a>
									<a href="#" class="widget-toggle"><i class="icon-down-open-2"></i></a>
									<a href="#" class="widget-close"><i class="icon-cancel-3"></i></a>
								</div>
							</div>
							<div class="widget-content">
								<div class="data-table-toolbar">
									<div class="row">
										<div class="col-md-4">
											<form role="form">
											<input type="text" class="form-control" placeholder="Search..."/>
											</form>
										</div>
										<div class="col-md-8">
											<div class="toolbar-btn-action">
											<h:link outcome="/AjouJobOffer?faces-redirect=true" ><h:commandButton  value="add new" class="btn btn-success" actionListener="/AjouJobOffer?faces-redirect=true" rendered="#{not jobOfferBean.showRequests}" ></h:commandButton></h:link>
											<h:form>
										  <h:commandLink action="#{jobOfferBean.doHideRequest()}" value="" >  <h:commandButton  value="return" class="btn btn-success" rendered="#{jobOfferBean.showRequests}" action="#{jobOfferBean.doHideRequest()}" ></h:commandButton></h:commandLink>
											</h:form>
											</div>
										</div>
									</div>
								</div>
									
								<div class="table-responsive">
								<h:form>
									<h:dataTable data-sortable="table table-hover table-striped" value="#{jobOfferBean.jobOffers}" var="jobOffer" border="2"  rendered="#{ not jobOfferBean.showRequests}"  >
										
											
												<h:column  > 
												<f:facet name="header"><h:outputText value="N°" /> </f:facet> <h:outputText value="#{jobOfferBean.jobOffers.indexOf(jobOffer)+1}" /></h:column> 										
									    		<h:column><f:facet name="header"><h:outputText value="Post" /> </f:facet><h:outputText value="#{jobOffer.name}" /></h:column> 
												<h:column><f:facet name="header"><h:outputText value="Description" /> </f:facet><h:outputText value="#{jobOffer.description}" /></h:column> 
												<h:column><f:facet name="header"><h:outputText value="Date of publishing" /> </f:facet><h:outputText value="#{jobOffer.dateOfPublishing}" /></h:column>
												<h:column><f:facet name="header"><h:outputText value="Job time" /> </f:facet><h:outputText value="#{jobOffer.timeOfJob}" /></h:column>
												<h:column><f:facet name="header"><h:outputText value="Salary" /> </f:facet><h:outputText value="#{jobOffer.salary}" /></h:column> 
									            <h:column><f:facet name="header"><h:outputText value="Type of contract" /> </f:facet><h:outputText value="#{jobOffer.typeContrat}" /></h:column> 
												<h:column><f:facet name="header"><h:outputText value="Department" /> </f:facet><h:outputText value="#{jobOffer.department.name}" /></h:column> 
									     		<h:column><f:facet name="header"><h:outputText value="delete" /></f:facet><h:commandLink value="" class="fa fa-trash-o" action="#{jobOfferBean.doDelete(jobOffer)}" /></h:column> 
					                            <h:column><f:facet name="header"><h:outputText value="Update" /></f:facet><h:commandLink value="" class="fa fa-refresh"  /></h:column> 
										        <h:column><f:facet name="header"><h:outputText value="Details" /></f:facet><h:commandLink   action="#{jobOfferBean.doFormulaire(jobOffer)}" class="fa fa-search"   ></h:commandLink> </h:column> 
											    <h:column><f:facet name="header"><h:outputText value="Requests" /></f:facet><h:commandLink   class="fa fa-archive"  action="#{jobOfferBean.doShowRequests(jobOffer)}" > </h:commandLink> </h:column> 
					
									</h:dataTable>
									
								<h:dataTable border="2"   rendered="#{jobOfferBean.showRequests}" value="#{jobOfferBean.jobRequests}" var="jobRequest" data-sortable="table table-hover table-striped">
								<h:column><f:facet name="header"><h:outputText value="N°" /> </f:facet> <h:outputText value="#{jobOfferBean.jobOffers.indexOf(jobOffer)+1}" /></h:column> 										
								
								<h:column><f:facet name="header" ><h:outputText value="name" /></f:facet> <h:outputText value="#{jobRequest.nameCandidate}" ></h:outputText></h:column>
								<h:column><f:facet name="header" ><h:outputText value="Last name" /></f:facet> <h:outputText value="#{jobRequest.lastNameCandidate}" ></h:outputText></h:column>
								<h:column><f:facet name="header" ><h:outputText value="E-mail" /></f:facet> <h:outputText value="#{jobRequest.emailOfCandidate}" ></h:outputText></h:column>
								<h:column><f:facet name="header" ><h:outputText value="Date of birth" /></f:facet> <h:outputText value="#{jobRequest.dateOfBirthCandidate}" ></h:outputText></h:column>	
								<h:column><f:facet name="header" ><h:outputText value="Phone" /></f:facet> <h:outputText value="#{jobRequest.phoneOfCandidate}" ></h:outputText></h:column>
								<h:column><f:facet name="header" ><h:outputText value="Date of publishing" /></f:facet> <h:outputText value="#{jobRequest.dateOfRequest}" ></h:outputText></h:column>
						        <h:column><f:facet name="header"><h:outputText value="Interview" /></f:facet><h:commandLink   value="" class="fa fa-search"   ></h:commandLink> </h:column> 
								<h:column><f:facet name="header"><h:outputText value="delete" /></f:facet><h:commandLink value="" class="fa fa-trash-o" action="#{jobOfferBean.doDelete(jobOffer)}" /></h:column> 
								
								
								</h:dataTable>
									
								
										<div class="data-table-toolbar" >
					            	<strong><h:outputLabel value="Post: " rendered="#{jobOfferBean.delete}"  /></strong><h:outputLabel value="#{jobOfferBean.jobOffer.name}" rendered="#{jobOfferBean.delete}" /><br/>
									<h:outputLabel value="Description:  " rendered="#{jobOfferBean.delete}"  /><h:outputLabel value="#{jobOfferBean.jobOffer.name}" rendered="#{jobOfferBean.delete}" />
								<h:dataTable border="2" value="#{jobOfferBean.skillsFinal}"  var="skill" rendered="#{jobOfferBean.delete}">
								<h:column><f:facet name="header" ><h:outputText value="skill" /></f:facet> <h:outputText value="#{skill.name}" ></h:outputText></h:column>
								
								</h:dataTable>
								</div>
										</h:form>	
								</div>
									
								</div>
								
							</div>
						</div>
					</div>
						
				</div>
		  </div>
		  </div>
		
		<ui:include src="/Footer.xhtml" />
		</body>
		</html>
</ui:composition>